Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc
Class NamespaceConstants

    java.lang.Object
      javax.xml.rpc.NamespaceConstants

public class NamespaceConstants
extends java.lang.Object

Constants used in JAX-RPC for namespace prefixes and URIs.

Version:
  1.0

Field Summary
`static java.lang.String` | `NSPREFIX_SCHEMA_XSD` Namespace prefix for XML schema XSD.
`static java.lang.String` | `NSPREFIX_SCHEMA_XSI` Namespace prefix for XML Schema XSI.
`static java.lang.String` | `NSPREFIX_SOAP_ENCODING` Namespace prefix for SOAP Encoding.
`static java.lang.String` | `NSPREFIX_SOAP_ENVELOPE` Namespace prefix for SOAP Envelope.
`static java.lang.String` | `NSURI_SCHEMA_XSD` Namespace URI for XML Schema XSD.
`static java.lang.String` | `NSURI_SCHEMA_XSI` Namespace URI for XML Schema XSI.
`static java.lang.String` | `NSURI_SOAP_ENCODING` Nameapace URI for SOAP 1.1 Encoding.
`static java.lang.String` | `NSURI_SOAP_ENVELOPE` Nameapace URI for SOAP 1.1 Envelope.
`static java.lang.String` | `NSURI_SOAP_NEXT_ACTOR` Nameapace URI for SOAP 1.1 next actor role.

Constructor Summary
`NamespaceConstants()` Constructor NamespaceConstants.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NSPREFIX_SOAP_ENVELOPE

    public static final java.lang.String NSPREFIX_SOAP_ENVELOPE

  Namespace prefix for SOAP Envelope.

  See Also:
    Constant Field Values

### NSPREFIX_SOAP_ENCODING

    public static final java.lang.String NSPREFIX_SOAP_ENCODING

  Namespace prefix for SOAP Encoding.

  See Also:
    Constant Field Values

### NSPREFIX_SCHEMA_XSD

    public static final java.lang.String NSPREFIX_SCHEMA_XSD

  Namespace prefix for XML schema XSD.

  See Also:
    Constant Field Values

### NSPREFIX_SCHEMA_XSI

    public static final java.lang.String NSPREFIX_SCHEMA_XSI

  Namespace prefix for XML Schema XSI.

  See Also:
    Constant Field Values

### NSURI_SOAP_ENVELOPE

    public static final java.lang.String NSURI_SOAP_ENVELOPE

  Nameapace URI for SOAP 1.1 Envelope.

  See Also:
    Constant Field Values

### NSURI_SOAP_ENCODING

    public static final java.lang.String NSURI_SOAP_ENCODING

  Nameapace URI for SOAP 1.1 Encoding.

  See Also:
    Constant Field Values

### NSURI_SOAP_NEXT_ACTOR

    public static final java.lang.String NSURI_SOAP_NEXT_ACTOR

  Nameapace URI for SOAP 1.1 next actor role.

  See Also:
    Constant Field Values

### NSURI_SCHEMA_XSD

    public static final java.lang.String NSURI_SCHEMA_XSD

  Namespace URI for XML Schema XSD.

  See Also:
    Constant Field Values

### NSURI_SCHEMA_XSI

    public static final java.lang.String NSURI_SCHEMA_XSI

  Namespace URI for XML Schema XSI.

  See Also:
    Constant Field Values

Constructor Detail

### NamespaceConstants

    public NamespaceConstants()

  Constructor NamespaceConstants.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.